## org.apache.felix.httplite.servlet
Class HttpServletRequestImpl

    java.lang.Object
      org.apache.felix.httplite.servlet.HttpServletRequestImpl

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class HttpServletRequestImpl

extends java.lang.Object
implements javax.servlet.http.HttpServletRequest

This class represents an HTTP request, which is parses from a given input stream, and implements HttpServletRequest for servlet processing.

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`HttpServletRequestImpl(java.net.Socket socket, ServiceRegistrationResolver serviceRegistrationResolver, Logger logger)`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String arg0)`
`java.util.Enumeration` `getAttributeNames()`
`java.lang.String` `getAuthType()`
`java.lang.String` `getCharacterEncoding()`
`int` `getContentLength()`
`java.lang.String` `getContentType()`
`java.lang.String` `getContextPath()`
`javax.servlet.http.Cookie[]` `getCookies()`
`long` `getDateHeader(java.lang.String name)`
`java.lang.String` `getHeader(java.lang.String header)` Returns the value of the specified header, if present.
`java.util.Enumeration` `getHeaderNames()`
`java.util.Enumeration` `getHeaders(java.lang.String name)`
`javax.servlet.ServletInputStream` `getInputStream()`
`int` `getIntHeader(java.lang.String name)`
`java.lang.String` `getLocalAddr()`
`java.util.Locale` `getLocale()`
`java.util.Enumeration` `getLocales()`
`java.lang.String` `getLocalName()`
`int` `getLocalPort()`
`java.lang.String` `getMethod()`
`java.lang.String` `getParameter(java.lang.String arg0)`
`java.util.Map` `getParameterMap()`
`java.util.Enumeration` `getParameterNames()`
`java.lang.String[]` `getParameterValues(java.lang.String arg0)`
`java.lang.String` `getPathInfo()`
`java.lang.String` `getPathTranslated()`
`java.lang.String` `getProtocol()`
`java.lang.String` `getQueryString()`
`java.io.BufferedReader` `getReader()`
`java.lang.String` `getRealPath(java.lang.String arg0)`
`java.lang.String` `getRemoteAddr()`
`java.lang.String` `getRemoteHost()`
`int` `getRemotePort()`
`java.lang.String` `getRemoteUser()`
`javax.servlet.RequestDispatcher` `getRequestDispatcher(java.lang.String arg0)`
`java.lang.String` `getRequestedSessionId()`
`java.lang.String` `getRequestURI()`
`java.lang.StringBuffer` `getRequestURL()`
`java.lang.String` `getScheme()`
`java.lang.String` `getServerName()`
`int` `getServerPort()`
`java.lang.String` `getServletPath()`
`javax.servlet.http.HttpSession` `getSession()`
`javax.servlet.http.HttpSession` `getSession(boolean create)`
`protected java.net.Socket` `getSocket()`
`java.security.Principal` `getUserPrincipal()`
`boolean` `isRequestedSessionIdFromCookie()`
`boolean` `isRequestedSessionIdFromUrl()`
`boolean` `isRequestedSessionIdFromURL()`
`boolean` `isRequestedSessionIdValid()`
`boolean` `isSecure()`
`static boolean` `isSupportedMethod(java.lang.String method)`
`boolean` `isUserInRole(java.lang.String role)`
`void` `parseBody(java.io.InputStream is)` This method parses the HTTP body from the specified input stream and ignores the result.
`void` `parseHeader(ConcreteServletInputStream is)` This method parses the HTTP header lines from the specified input stream and stores the results.
`void` `parseRequestLine(ConcreteServletInputStream is)` This method parses the HTTP request line from the specified input stream and stores the result.
`void` `removeAttribute(java.lang.String arg0)`
`void` `setAttribute(java.lang.String arg0, java.lang.Object arg1)`
`void` `setCharacterEncoding(java.lang.String arg0)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpServletRequestImpl

    public HttpServletRequestImpl(java.net.Socket socket,
                                  ServiceRegistrationResolver serviceRegistrationResolver,
                                  Logger logger)

Parameters:
  `socket` - Socket assocated with request
  `serviceRegistrationResolver` -
  `logger` -

Method Detail

### getSocket

    protected java.net.Socket getSocket()

  Returns:
    The socket this request is associated with.

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Throws:
    `java.io.IOException`

### parseRequestLine

    public void parseRequestLine(ConcreteServletInputStream is)
                          throws java.io.IOException

  This method parses the HTTP request line from the specified input stream and stores the result.

  Parameters:
    `is` - The input stream from which to read the HTTP request.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### parseHeader

    public void parseHeader(ConcreteServletInputStream is)
                     throws java.io.IOException

  This method parses the HTTP header lines from the specified input stream and stores the results. The map m_headers is populated with two types of values, Strings if the header occurs once or a List in the case that the same header is specified multiple times.

  Parameters:
    `is` - The input stream from which to read the HTTP header lines.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### parseBody

    public void parseBody(java.io.InputStream is)
                   throws java.io.IOException

  This method parses the HTTP body from the specified input stream and ignores the result.

  Parameters:
    `is` - The input stream from which to read the HTTP body.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`

### getHeader

    public java.lang.String getHeader(java.lang.String header)

  Returns the value of the specified header, if present.

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `header` - The header value to retrieve.
  Returns:
    The value of the specified header or `null`.

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String arg0)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletRequest`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletRequest`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletRequest`

### getLocales

    public java.util.Enumeration getLocales()

  Specified by:
    `getLocales` in interface `javax.servlet.ServletRequest`

### getParameter

    public java.lang.String getParameter(java.lang.String arg0)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String arg0)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    `getProtocol` in interface `javax.servlet.ServletRequest`

### getRealPath

    public java.lang.String getRealPath(java.lang.String arg0)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletRequest`

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String arg0)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

### getScheme

    public java.lang.String getScheme()

  Specified by:
    `getScheme` in interface `javax.servlet.ServletRequest`

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`

### getServerPort

    public int getServerPort()

  Specified by:
    `getServerPort` in interface `javax.servlet.ServletRequest`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `javax.servlet.ServletRequest`

### removeAttribute

    public void removeAttribute(java.lang.String arg0)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletRequest`

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.Object arg1)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletRequest`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String arg0)
                              throws java.io.UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Throws:
    `java.io.UnsupportedEncodingException`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Specified by:
    `getCookies` in interface `javax.servlet.http.HttpServletRequest`

### getDateHeader

    public long getDateHeader(java.lang.String name)

  Specified by:
    `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

### getIntHeader

    public int getIntHeader(java.lang.String name)

  Specified by:
    `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

### getPathInfo

    public java.lang.String getPathInfo()

  Specified by:
    `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

### getPathTranslated

    public java.lang.String getPathTranslated()

  Specified by:
    `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

### getQueryString

    public java.lang.String getQueryString()

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Specified by:
    `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Specified by:
    `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURI

    public java.lang.String getRequestURI()

  Specified by:
    `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

### getServletPath

    public java.lang.String getServletPath()

  Specified by:
    `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

### getSession

    public javax.servlet.http.HttpSession getSession(boolean create)

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getSession

    public javax.servlet.http.HttpSession getSession()

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  Specified by:
    `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

### isSupportedMethod

    public static boolean isSupportedMethod(java.lang.String method)

  Parameters:
    `method` - HTTP method
  Returns:
    true if the psased HTTP method is supported by this server.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLocalAddr

    public java.lang.String getLocalAddr()

  Specified by:
    `getLocalAddr` in interface `javax.servlet.ServletRequest`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.servlet.ServletRequest`

### getLocalPort

    public int getLocalPort()

  Specified by:
    `getLocalPort` in interface `javax.servlet.ServletRequest`

### getRemotePort

    public int getRemotePort()

  Specified by:
    `getRemotePort` in interface `javax.servlet.ServletRequest`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.